Subject: RE: SOAP and OCP

From: "Abbie Barbir" <[email-masked]>
Date: Tue, 22 Apr 2003 09:38:59 -0400

see inline
abbie

> -----Original Message-----
> From: Alex Rousskov [mailto:[email-masked]] 
> Sent: Tuesday, April 22, 2003 12:18 AM
> To: [email-masked]
> Subject: RE: SOAP and OCP
> 
> 

SNIP

> Great! Given the above agreement, I would suggest that OCP we 
> work on right now is _not_ implemented on top of SOAP because:
> 
>   1a. SOAP does not deal well with opaque data exchange
>   1b. efficient opaque data exchange is the primary goal of our OCP
> 
>   2.  SOAP strength (current deployment) can still be used whenever
>     appropriate by OPES processors that support SOAP and either
>     adapt SOAP-friendly data only or do not care about performance
>     on binary data
> 

agree

> Instead, I would suggest that the WG encourages Abbie to 
> write a "how to use SOAP as an OPES callout protocol" draft, 
> supplying OPES implementors with an explicit OCP alternative. 
> All WG documents (including those documenting tracing and 
> bypass mechanisms) will have to make sure that no specific 
> callout protocol is assumed in a general OPES context.
> 
> Any objections or further comments?
> 
> Thank you,
> 
> Alex.
> 

I am ok with that. I hope that it could become a working item for the WG and
I will move on it once OCP/tracing drafts matures.

Abbie

---

From: Alex Rousskov <[email-masked]>
Date: Tue, 22 Apr 2003 09:11:36 -0600 (MDT)

I am trying to find a rational explanation for SOAP inability to
handle opaque data efficiently. Is it accurate to say that SOAP (and
XML) cannot handle opaque data because their designers assume that
every data format in the world will eventually become XML-based?
Images will no longer use JPEG but SVG, movies will not use MPEG but
SMILE, and so on? Is that the assumption?

If it is not the assumption, I do not understand how rational people
can develop a protocol for data exchange that does not support binary
data natively/well -- you either phase binary data out or you support
it from the start. Am I missing something?

I am happy that we seem to reach an agreement regarding SOAP and OCP,
but I am surprised that SOAP is not good enough, given its definition:

	SOAP is a lightweight protocol intended for exchanging
	structured information in a decentralized, distributed
	environment.

Without the "structured" requirement (which has to be interpreted in
W3C context or it would make little sense), this is exactly what we
need for OCP! When designing OCP, are we, in fact, trying to develop a
better SOAP?

Alex.